org.apache.xmlbeans.impl.xb.xsdownload

## Interface DownloadedSchemasDocument

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  DownloadedSchemasDocumentImpl

    public interface DownloadedSchemasDocument
    extends XmlObject

A document containing one downloaded-schemas(@http://www.bea.com/2003/01/xmlbean/xsdownload) element. This is a complex type.

### Nested Class Summary

Nested Classes
`static interface` `DownloadedSchemasDocument.DownloadedSchemas` An XML downloaded-schemas(@http://www.bea.com/2003/01/xmlbean/xsdownload).

### Field Summary

Fields
`static DocumentFactory<DownloadedSchemasDocument>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`DownloadedSchemasDocument.DownloadedSchemas` `addNewDownloadedSchemas()` Appends and returns a new empty "downloaded-schemas" element
`DownloadedSchemasDocument.DownloadedSchemas` `getDownloadedSchemas()` Gets the "downloaded-schemas" element
`void` `setDownloadedSchemas(DownloadedSchemasDocument.DownloadedSchemas downloadedSchemas)` Sets the "downloaded-schemas" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<DownloadedSchemasDocument> Factory

#### type

    static final SchemaType type

### Method Detail

#### getDownloadedSchemas

    DownloadedSchemasDocument.DownloadedSchemas getDownloadedSchemas()

Gets the "downloaded-schemas" element

#### setDownloadedSchemas

    void setDownloadedSchemas(DownloadedSchemasDocument.DownloadedSchemas downloadedSchemas)

Sets the "downloaded-schemas" element

#### addNewDownloadedSchemas

    DownloadedSchemasDocument.DownloadedSchemas addNewDownloadedSchemas()

Appends and returns a new empty "downloaded-schemas" element